# $Revision: 1.43 $, $Date: 2007/03/30 13:42:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	Object
Summary:	Set::Object Perl module
Summary(cs.UTF-8):	Modul Set::Object pro Perl
Summary(da.UTF-8):	Perlmodul Set::Object
Summary(de.UTF-8):	Set::Object Perl Modul
Summary(es.UTF-8):	Módulo de Perl Set::Object
Summary(fr.UTF-8):	Module Perl Set::Object
Summary(it.UTF-8):	Modulo di Perl Set::Object
Summary(ja.UTF-8):	Set::Object Perl モジュール
Summary(ko.UTF-8):	Set::Object 펄 모줄
Summary(nb.UTF-8):	Perlmodul Set::Object
Summary(pl.UTF-8):	Moduł Perla Set::Object
Summary(pt.UTF-8):	Módulo de Perl Set::Object
Summary(pt_BR.UTF-8):	Módulo Perl Set::Object
Summary(ru.UTF-8):	Модуль для Perl Set::Object
Summary(sv.UTF-8):	Set::Object Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Set::Object
Summary(zh_CN.UTF-8):	Set::Object Perl 模块
Name:		perl-Set-Object
Version:	1.21
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	db0c657333f65000e1d85ba59dd2320d
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Set::Object Perl module implements a Set of objects, that is, a
collection of objects without duplications. It is similar to a
Smalltalk IdentitySet.

%description -l pl.UTF-8
Moduł Perla Set::Object implementuje zbiór obiektów, tzn. zestaw
obiektów bez duplikatów. Jest on podobny do IdentitySet Smalltalka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes*
%{perl_vendorarch}/%{pdir}
%dir %{perl_vendorarch}/auto/%{pdir}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/autosplit.ix
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/%{pnam}.bs
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/%{pnam}.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-Object.spec,v $
Revision 1.43  2007/03/30 13:42:34  radek
- version 1.21

Revision 1.42  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.40  2004/12/03 14:09:43  radek
- autoupdated to 1.08

Revision 1.39  2004/11/03 22:30:43  paladine
- formatting

Revision 1.38  2004/08/21 21:05:43  adamg
- updated to 1.07

Revision 1.37  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.36  2004/05/06 18:21:02  ankry
- fixed perl-devel BR

Revision 1.35  2004/05/02 06:53:09  adamg
- updated to 1.06

Revision 1.34  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.33  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.32  2004/01/25 00:00:08  arekm
- autoupdated to 1.05

Revision 1.31  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.30  2003/08/26 14:11:56  migo
- up to 1.04

Revision 1.29  2003/08/18 08:09:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:01:01  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 20:46:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:38:08  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/03 11:37:55  ankry
- added test on BCond
- fixed License, removed README
- real description
- autosplit.ix is back
- release 7

Revision 1.21  2002/07/18 13:48:04  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitearch}/Set
- removed autosplit.ix
- release 6

Revision 1.20  2002/07/10 08:48:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:34:13  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:19:54  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:33:55  depesz
adapterized

Revision 1.14  2002/01/18 02:14:27  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:15:18  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/25 20:03:47  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2001/01/23 16:58:50  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/08/22 20:48:46  kloczek
- updated to 1.02.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:25  pius
- updated to 1.01

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
